Need help? Chat now!

Hostwinds Учебники

Результаты поиска для:


Содержание


Joomla! Базовые системные требования
Joomla! рекомендованные системные требования

Joomla! Системные Требования

Теги Joomla 

Joomla! Базовые системные требования
Joomla! рекомендованные системные требования

При установке Joomla есть определенные требования, что Joomla должен соответствовать пробежению, так как есть разные версии Joomla.Эта статья написана, чтобы быть полезной для новейшей версии на момент написания.Это Joomla 3.x, где «X - это номер, который помогает описать текущую версию.База и рекомендуемые требования для Joomla для функции перечислены ниже.

Joomla! Базовые системные требования

  • Версия PHP: Должен быть выше версии PHP 5.3.10. Это не должно быть проблемой, поскольку эта версия давно устарела. Эта версия не установлена на всех наших новых планах хостинга.
  • База данных: Joomla имеет поддержку различных видов баз данных. Поддерживаемые базы данных являются MySQL / Mariadb, MS SQL Server и PostgreSQL
    • MySQL / MariaDB: Должен быть выше версии 5.1. Другая версия, которой не будет в наших новых планах хостинга.
    • Сервер MS SQL: Должна быть выше версии 10.50.1600.1
    • PostgreSQL: Должна быть выше версии 8.3.18
  • Веб сервер: Наряду с различными видами баз данных о том, что Joomla поддерживает, есть также разные веб-серверы. К ним относятся Apache, Nginx и Microsoft IIS (для Windows VPS)
    • Apache: Это должно быть выше версии 2.0. Наши планы общего / бизнес-хостинга всегда будут иметь относительно актуальную версию Apache, поэтому это не проблема.
    • Nginx: Должен быть выше, чем версия 1.0. В настоящее время мы не используем Nginx. Однако это все еще вариант для VPS и выделенных серверов.
    • Microsoft IIS: Должно быть версия 7. Однако это будет эквивалентная в настоящее время операционная система Windows, доступна только на Windows VPS или выделенных серверах.

Joomla не указывает никаких конкретных требований к серверу, такому как RAM или даже CPU. Однако, если вы склонны к вопросам производительности с вашим сайтом Joomla, это может быть из-за отсутствия ресурсов.

Помимо требований базовых систем, которые Joomla имеет, также могут быть рекомендованы варианты. Базовые требования минимальны, чтобы увидеть, будет ли Joomla будет работать в системе. Однако это не означает, что Joomla будет работать оптимально или хорошо. Вы можете найти список ниже рекомендуемых требований к Joomla.

Joomla! рекомендованные системные требования

  • Версия PHP: Joomla рекомендует использовать версию PHP, которая либо 5,6 и выше, либо 7,0 и вверх.
  • База данных:
    • MySQL / MariaDB: Рекомендуется быть выше MySQL 5.5.3
    • Сервер MS SQL: Также рекомендуется быть выше 10.50.1600.1
    • PostgreSQL: Рекомендуется быть выше версии 9.1
  • Веб сервер:
    • Apache: Рекомендуется быть выше Apache 2.4. Эта рекомендация будет выполняться в наших новых тарифных планах на хостинг.
    • Nginx: Рекомендуется быть выше версии 1.8
    • Microsoft IIS: Для Joomla они рекомендуют использовать только версию 7.

Любой пакет веб-хостинга Linux, предлагаемый Hostwinds, может удовлетворить этим требованиям.

Если у вас должны быть какие-либо дополнительные вопросы, не стесняйтесь обращаться к нам через наш живой чат или отправить билет.

Написано Hostwinds Team  /  Март 31, 2018